<?php







if(!$_POST) exit;







$email = $_POST['email'];







//$error[] = preg_match('/\b[A-Z0-9._%-]+@[A-Z0-9.-]+\.[A-Z]{2,4}\b/i', $_POST['email']) ? '' : 'INVALID EMAIL ADDRESS';



if(!eregi("^[a-z0-9]+([_\\.-][a-z0-9]+)*" ."@"."([a-z0-9]+([\.-][a-z0-9]+)*)+"."\\.[a-z]{2,}"."$",$email )){



	$error.="Invalid email address entered";



	$errors=1;



}



if($errors==1) echo $error;



else{



	$values = array ('name','email','message');



	$required = array('name','email','message');



	 



	$your_email = $_POST['admin_email'];



	$email_subject = "Enquiry from WP Social Press";



	$email_content = "New Message:\n\n";



	$header = "From: WP Social Press";



	



	foreach($values as $key => $value){



	  if(in_array($value,$required)){		



		  if( empty($_POST[$value]) ) { echo 'PLEASE FILL IN REQUIRED FIELDS'; exit;



		}



		$email_content .= ucwords($value).': '.$_POST[$value]."\n";



	  }



	}



	 



	if(@mail($your_email,$email_subject,$email_content, $header)) {



		echo 'Message sent!'; 



	} else {



		echo 'ERROR!';



	}



	



}



?>